import request from '@/utils/request'

// 查询建立区域之间的映射关系列表
export function listGameareamapping(query) {
  return request({
    url: '/system/gameareamapping/list',
    method: 'get',
    params: query
  })
}

// 查询建立区域之间的映射关系详细
export function getGameareamapping(id) {
  return request({
    url: '/system/gameareamapping/' + id,
    method: 'get'
  })
}

// 新增建立区域之间的映射关系
export function addGameareamapping(data) {
  return request({
    url: '/system/gameareamapping',
    method: 'post',
    data: data
  })
}

// 修改建立区域之间的映射关系
export function updateGameareamapping(data) {
  return request({
    url: '/system/gameareamapping',
    method: 'put',
    data: data
  })
}

// 删除建立区域之间的映射关系
export function delGameareamapping(id) {
  return request({
    url: '/system/gameareamapping/' + id,
    method: 'delete'
  })
}
